<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Pleased Pro
 * @since Pleased Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'pleased_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','pleased-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'pleased-pro' ),
	'panel'             => 'pleased_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'pleased_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'pleased_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'pleased-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'pleased-pro' ),
	'section'           => 'pleased_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'pleased_pro_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'pleased_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'pleased_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pleased_Pro_Switch_Control( $wp_customize, 'pleased_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'pleased-pro' ),
	'section'           => 'pleased_pro_archive_section',
	'on_off_label' 		=> pleased_pro_hide_options(),
) ) );

// Blog content type control and setting
$wp_customize->add_setting( 'pleased_pro_theme_options[archive_column]', array(
	'default'          	=> $options['archive_column'],
	'sanitize_callback' => 'pleased_pro_sanitize_select',
) );

$wp_customize->add_control( 'pleased_pro_theme_options[archive_column]', array(
	'label'             => esc_html__( 'Column Layout', 'pleased-pro' ),
	'section'           => 'pleased_pro_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-2' 	=> esc_html__( 'Two Column', 'pleased-pro' ),
		'col-3' 	=> esc_html__( 'Three Column', 'pleased-pro' ),
	),
) );